using Microsoft.AspNetCore.Components.Forms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OpenArchival.DataAccess.FileAccessManager;

public interface IFileAccessManager
{
    public Task<FilePathListing> UploadFileAsync(IBrowserFile browserFile);
    
    public Task<bool> DeleteFileAsync(int id);

    public Task<FilePathListing?> GetFile(int id);

    public Task<(int Processed, int Failed)> BackfillThumbnailsAsync();
}
